# Exercises

Answer the following questions (or at least as many as you can figure out) in this document. 
For all the questions, use the 100k words. Give your answer for each exercise, and 
show the command you used to get it. Each question can be answered using a single Terminal 
command, though you might need to use a number of pipes. 

If you want to be really stylish, put your code inside of backticks like this: 

`cat words_100k.txt | length | put 10 | equal | count`

## 1. What is the longest word?
28 antidisestablishmentarianism
`cat words_100k.txt | length | order`

## 2. How many words have two u's in a row?

continuum
continuums
equus
muumuu
obliquus
perpetuum
residuum
suu
suum
triduum
tuum
vacuum
vacuumed
vacuuming
vacuums
weltanschauung

`cat words_100k.txt | match "uu"`
then `cat words_100k.txt | match "uu" | count`

## 3. How many words have the word "cat" in them?
893 
`cat words_100k.txt | match "cat" | count`

## 4. How many words have all five vowels (aeiou)?
8
`cat words_100k.txt | match ".*a.*e.*i.*o.*u.*" | count` 

## 5. Which words have two e's in a row, two o's in a row, and two k's in a row? (they don't have to be in that order)


## 6. How many words have sixteen or more letters?
354
`cat words_100k.txt | length | put 16 | equal | pluck 2 | count` 

## 7. What's the most frequent 10-letter word?
208000 10 9 zygomatic
`cat words_100k.txt | length | put 10 | frequency | order -r | head -n 1`

## 8. What's the longest word which doesn't have any repeated letters?
13 abcdeilnprtuy 13 unpredictably
13 abceghiloprty 13 copyrightable
13 abceilmnoprtu 13 unproblematic
13 abegiklmnortu 13 troublemaking
13 acegilmnopsty 13 salpingectomy

`cat words_100k.txt | length | unique 1 | length | equal 0 2 | order | tail`


## 9. What's the longest word which only uses four different letters?


## 10. If you rearrange the letters in "sidebar," what other words can you create?


